package main

import (
	"flag"
	"fmt"
	"log"
	"net/http"

	"sunshine.industries/some-automoderation/routes"
	"sunshine.industries/some-automoderation/sessions"
)

func main() {
	var port int
	flag.IntVar(&port, "port", 8080, "Port on which the server should start")
	flag.Parse()

	fmt.Printf("Server will start on port %d\n", port)

	sessions := sessions.DummySM{}
	routes.RegisterRoutes(&sessions)

	log.Fatal(http.ListenAndServe(fmt.Sprintf(":%d", port), nil))
}
