package sessions

import (
	"log"
)

type SessionData struct {
	sessionId int64
	roomId int64
	personId int64
}

type SessionManagement interface {
    Get(sessionId int64) SessionData
	Save(roomId int64, personId int64) int64
}

type DummySM struct {}

func (d DummySM)Get(sessionId int64) SessionData {
	log.Printf("get dummy session by %d", sessionId)
	return SessionData{}
}
func (d DummySM)Save(roomId int64, personId int64) int64 {
	log.Printf("save dummy session with %d %d", roomId, personId)
	return 1
}
